<form [formGroup]="firstStepForm" (submit)="handleFirstStepSubmit()">
  <fieldset>
    <legend>Product</legend>
    <mat-form-field class="input--lg">
      <mat-label>Foundation</mat-label>
      <mat-select formControlName="foundation">
        @for (value of offersData.foundation.values; track value) {
        <mat-option [value]="value">{{ value }}</mat-option>
        }
      </mat-select>
      @if (isFoundationInvalid) {
      <mat-error>Required.</mat-error>}
    </mat-form-field>
  </fieldset>
  <fieldset>
    <legend>Client Data</legend>
    <mat-form-field class="input--lg">
      <mat-label>First Name</mat-label>
      <input matInput formControlName="firstName" required />
      @if (isFirstNameInvalid) {
      <mat-error>Required.</mat-error>}
    </mat-form-field>
    <mat-form-field class="input--lg">
      <mat-label>Last Name</mat-label>
      <input matInput formControlName="lastName" required />
      @if (isLastNameInvalid) {
      <mat-error>Required.</mat-error>}
    </mat-form-field>
  </fieldset>
  <fieldset class="checklist-fieldset">
    <legend>Checklist</legend>
    @if(offersData.activeToRetiredRatio){<mat-checkbox
      formControlName="activeToRetiredRatio"
      color="primary"
      >{{ offersData.activeToRetiredRatio.label }}</mat-checkbox
    >} @if(offersData.ageGroup){<mat-checkbox
      formControlName="ageGroup"
      color="primary"
      >{{ offersData.ageGroup.label }}</mat-checkbox
    >} @if(offersData.admissionGuidelines){<mat-checkbox
      formControlName="admissionGuidelines"
      color="primary"
      >{{ offersData.admissionGuidelines.label }}</mat-checkbox
    >}
  </fieldset>
  <div>
    @if (nextLoading) {
    <button
      class="medium-action-button"
      type="submit"
      color="primary"
      disabled
      mat-raised-button
      disabled="true"
    >
      <mat-spinner diameter="18"></mat-spinner>
    </button>
    } @else {
    <button
      class="medium-action-button"
      type="submit"
      color="primary"
      mat-raised-button
      [disabled]="isNextButtonDisabled"
    >
      Next
      <mat-icon iconPositionEnd>navigate_next</mat-icon>
    </button>
    }
  </div>
</form>
